# Class NMRNoeMatrix.NOEParams

java.lang.Object
org.jmol.quantum.NMRNoeMatrix.NOEParams

Enclosing class:
  `NMRNoeMatrix`

public static class NMRNoeMatrix.NOEParams extends Object

Author:
  YE91009

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`id`

## Constructor Summary

Constructors
Constructor
Description
`NOEParams()`

## Method Summary

Modifier and Type
Method
Description
`double`
`getCorrelationTimeTauPS()`
get the correlation time in picoseconds
`double`
`getCutoffAng()`
get the cutoff distance
`double`
`getMixingTimeSec()`
get the mixing time
`double`
`getNMRfreqMHz()`
gets the NMR frequency
`boolean`
`getNoesy()`
get if NOESY or ROESY was used for simulation
`void`
`setCorrelationTimeTauPS(double t)`
set the correlation time to be used in the NOE calculation
`void`
`setCutoffAng(double c)`
sets the cutoff distance beyond which atom interactions are not considered
`void`
`setMixingTimeSec(double t)`
sets the mixing time for the NOE experiment
`void`
`setNMRfreqMHz(double f)`
set the NMR frequency for the NOE simulation
`void`
`setNoesy(boolean b)`
sets the experiemnt type to NOESY or ROESY
`void`
`setRhoStar(double c)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id

## Constructor Details

### NOEParams

public NOEParams()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### setCorrelationTimeTauPS

public void setCorrelationTimeTauPS(double t)
set the correlation time to be used in the NOE calculation

Parameters:
  `t` -

### setMixingTimeSec

public void setMixingTimeSec(double t)
sets the mixing time for the NOE experiment

Parameters:
  `t` - the mixing time in seconds. Typically 0.5-1.5 seconds for small molecules

### setNMRfreqMHz

public void setNMRfreqMHz(double f)
set the NMR frequency for the NOE simulation

Parameters:
  `f` - the frequency in MHz

### setCutoffAng

public void setCutoffAng(double c)
sets the cutoff distance beyond which atom interactions are not considered

Parameters:
  `c` - the cutoff distance in Angstroms

### setRhoStar

public void setRhoStar(double c)

### setNoesy

public void setNoesy(boolean b)
sets the experiemnt type to NOESY or ROESY

Parameters:
  `b` - true for NOESY, flase for ROESY

### getCorrelationTimeTauPS

public double getCorrelationTimeTauPS()
get the correlation time in picoseconds

Returns:
  the correlation time in picoseconds

### getMixingTimeSec

public double getMixingTimeSec()
get the mixing time

Returns:
  the mixing time in seconds

### getNoesy

public boolean getNoesy()
get if NOESY or ROESY was used for simulation

Returns:
  true for NOESY, false for ROESY

### getNMRfreqMHz

public double getNMRfreqMHz()
gets the NMR frequency

Returns:
  the NMR frequency in MHz

### getCutoffAng

public double getCutoffAng()
get the cutoff distance

Returns:
  the cutoff in Angstroms